<?php

namespace App\Model\Entities\Components\Guide;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\Review;
use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 */
class GuideTranslationReview extends Review
{
   /**
    * @var GuideTranslation
    * @ORM\ManyToOne(targetEntity="GuideTranslation")
    */
   protected $guideTranslation;

   public function __construct(User $grantedBy, GuideTranslation $guideTranslation, $value)
   {
      parent::__construct($grantedBy, $value);

      $this->guideTranslation = $guideTranslation;
   }


   /**
    * @return Guide
    */
   public function getGuideTranslation()
   {
      return $this->guideTranslation;
   }

}